Hello,

I tried to update from Dapper LTS to Hardy LTS and ran into troubles.

What I did was to run:
sudo aptitude update && sudo aptitude upgrade && sudo aptitude dist-upgrade && sudo aptitude autoclean
sudo aptitude install ubuntu-desktop

Then I open /etc/apt/sources.list and replace all dapper instances with hardy.

After that I run
sudo aptitude update && sudo aptitude upgrade && sudo aptitude dist-upgrade && sudo aptitude autoclean

and restart my laptop (ACER Aspire 3002wlci).

Then I got an error message saying that xserver failed to start.
I read in a post that I could fix that running:
sudo dpkg-reconfigure xserver-xorg
but got an error message saying that xserver-xorg is broken or not fully installed

So, I tried:
sudo aptitude reinstall xserver-xorg

but got the message "dpkg was interrupted, you must manually run dpkg --configure -a to correct the problem"

Did that, but got a huge list of errors saying "dependency problems prevent configuration of" Among the programs listed are xkeyboard-config, gnome-panel, xserver-xorg, gs-common, ghostscript-x, scribus.

After that nothing works. Any aptitude or apt-get command returns that I should run dpkg --configure -a and dpkg --configure -a keeps returning the long list of errors.

Please, any ideas how I can solve this (note I am in command line mode or in other words can't execute synaptic)?

Thanks!